Subject: bug#41332: 27.0.60; :underline property doesn't work well with newline in :before-string

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Jan 2021 21:41:36 +0100

Yuan Fu <[email-masked]> writes:

> What I did: I inserted a fake newline by adding a :before-string “\n” overlay in the
> middle of a link. 
> The problem: the underline goes all the way to the right (without :extend t)
> Reproduce: 
> 1. Open an Org document, insert a link (C-c C-l some text RET some text RET)
> 2. M-: and run this code:
>
> (let* ((beg (point))
>        (end (1+ (point)))
>        (ov (make-overlay beg end nil t)))
>   (overlay-put ov 'before-string "\n"))
>
> What I get (overlay line break):

I was able to reproduce this bug in Emacs 27, but not in Emacs 28, so
I'm going to go ahead and guess that this has been fixed lately, and I'm
closing this bug report.  If the problem still persists, please respond
to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no